let
  netboxAgent = {
    id = "244549";
    hash = "sha256-SePkKEYQGDj6FpuyxZ+1ASeVPA02mCHf0G5i3koMdNw=";
  };
in

{
  "nixos-24.05" = [
    # netbox qrcode plugin
    {
      _type = "commit";
      sha = "ae4bf4c110378ebacb3989c9533726859cfebbfa";
      hash = "sha256-SgHhW9HCkDQsxT3eG4P9q68c43e3sbDHRY9qs7oSt8o=";
    }

    netboxAgent

    {
      id = "275165";
      hash = "sha256-9a26V3Pi8yLD3N9+mC1kvJoruxRTp/qOHapnt6VX7pw=";
    }

    # karla: init at 2.004
    {
      _type = "commit";
      sha = "7c51104112e8ea0e2ac53bf7d535e677f7686a9e";
      hash = "sha256-1TBLzZkvkFhCL8RYVVIUhTyrH3+X1iJIMkyHffmrOWc=";
    }

    # Crabfit: don't depend on all google-fonts
    {
      _type = "static";
      path = ./04-crabfit-karla.patch;
    }

    # nixos/kanidm: add basic provisioning
    {
      id = 251598;
      excludes = [ "pkgs/by-name/ka/kanidm/package.nix" ];
      hash = "sha256-z4b1ljwapfj4KpXEEAMmhYKogstKtURyq+hoJcfEXiw=";
    }

    # kanidm-provision: 1.1.1 -> 1.1.2
    {
      id = 336836;
      hash = "sha256-4ihpxYdLp559RIcKRC6GPt5flLCohFiPGp0k9h1s1hs=";
    }

    # nixos/kanidm: fix systemd service type
    {
      id = 337527;
      excludes = [ ".git-blame-ignore-revs" ];
      hash = "sha256-ca7CsPuWJqucC77ejsvoDAt+wxWLUP30IdXtZQVQrko=";
    }
  ];

  "nixos-unstable" = [
    netboxAgent

    # netbox qrcode plugin
    {
      _type = "commit";
      sha = "ae4bf4c110378ebacb3989c9533726859cfebbfa";
      hash = "sha256-SgHhW9HCkDQsxT3eG4P9q68c43e3sbDHRY9qs7oSt8o=";
    }
  ];
}
